Get the results of the stock position report
Body·
application/json
- Type: string | nullattribute
Description The product attribute description to filter by
- Type: string | nullbatch
The product batch to filter by
- Type: string | nullFormat: datebest
Before Date The product best before date to filter by
- Type: string | nullFormat: uuidclient
Partner Id The client partner to filter by
- Type: string | nullFormat: datecustom
Date Time The custom date and time the report should be run for
- Type: string | nullFormat: dateexpiry
Date The product expiry date to filter by
- Type: booleaninclude
Critical Stock Only If the report should only include critical stock
- Type: booleaninclude
Received Dates If the report should include received dates
- Type: booleaninclude
Serials If the report should include serial numbers
- Type: string | nullFormat: datepackaging
Date The product packaging date to filter by
- Type: string | nullFormat: uuidpartner
Product Id The product to filter by
- Type: string | nullFormat: uuidproduct
Attribute Id The product attribute to filter by
Responses
- application/json
Request Example for post/v1/reports/stock-position
curl https://api.consignlyhq.com/v1/reports/stock-position \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"reportTime": "enum (Now = 1, Custom = 2)",
"customDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
"clientPartnerId": null,
"warehouseId": null,
"partnerProductId": null,
"batch": null,
"bestBeforeDate": "date (YYYY-MM-DD)",
"expiryDate": "date (YYYY-MM-DD)",
"packagingDate": "date (YYYY-MM-DD)",
"productionDate": "date (YYYY-MM-DD)",
"sellByDate": "date (YYYY-MM-DD)",
"includeSerials": true,
"includeCriticalStockOnly": true,
"includeReceivedDates": true,
"productAttributeId": null,
"attributeDescription": null
}'
[
{
"warehouseCode": null,
"warehouseName": null,
"warehouseLocationName": null,
"clientName": null,
"productCode": null,
"productName": null,
"logisticUnit": {
"logisticUnitNumber": null,
"ssccNumber": null,
"referenceNumber": null
},
"serial": null,
"unitTypeName": null,
"batch": null,
"bestBeforeDate": "date (YYYY-MM-DD)",
"expiryDate": "date (YYYY-MM-DD)",
"packagingDate": "date (YYYY-MM-DD)",
"productionDate": "date (YYYY-MM-DD)",
"sellByDate": "date (YYYY-MM-DD)",
"isCritical": true,
"attributes": [
{
"name": null,
"description": null
}
],
"productGroupName": null,
"onHandQuantity": 1,
"onHandVolumeM3": 1,
"onHandWeightKG": 1,
"onHandVirtualPalletQuantity": 1,
"availableQuantity": 1,
"availableVolumeM3": 1,
"availableWeightKG": 1,
"availableVirtualPalletQuantity": 1,
"allocatedQuantity": 1,
"allocatedVolumeM3": 1,
"allocatedWeightKG": 1,
"allocatedVirtualPalletQuantity": 1,
"jobHoldQuantity": 1,
"jobHoldVolumeM3": 1,
"jobHoldWeightKG": 1,
"jobHoldVirtualPalletQuantity": 1,
"generalHoldQuantity": 1,
"generalHoldVolumeM3": 1,
"generalHoldWeightKG": 1,
"generalHoldVirtualPalletQuantity": 1,
"qaHoldQuantity": 1,
"qaHoldVolumeM3": 1,
"qaHoldWeightKG": 1,
"qaHoldVirtualPalletQuantity": 1,
"returnHoldQuantity": 1,
"returnHoldVolumeM3": 1,
"returnHoldWeightKG": 1,
"returnHoldVirtualPalletQuantity": 1,
"receivedDate": "date (YYYY-MM-DD)",
"receivedUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)"
}
]